<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Thu Jan 18 13:47:17 GMT+01:00 2018 -->
<title>Uses of Package noyau</title>
<meta name="date" content="2018-01-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package noyau";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package noyau" class="title">Uses of Package<br>noyau</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../noyau/package-summary.html">noyau</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#console">console</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#interfaceGaphique">interfaceGaphique</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#noyau">noyau</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="console">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../noyau/package-summary.html">noyau</a> used by <a href="../console/package-summary.html">console</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../noyau/class-use/Carte.html#console">Carte</a>
<div class="block">Classe définissant l'objet carte au sein du jeu</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../noyau/class-use/Joueur.html#console">Joueur</a>
<div class="block">Classe représentant un joueur.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="interfaceGaphique">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../noyau/package-summary.html">noyau</a> used by <a href="../interfaceGaphique/package-summary.html">interfaceGaphique</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../noyau/class-use/Carte.html#interfaceGaphique">Carte</a>
<div class="block">Classe définissant l'objet carte au sein du jeu</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../noyau/class-use/Joueur.html#interfaceGaphique">Joueur</a>
<div class="block">Classe représentant un joueur.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="noyau">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../noyau/package-summary.html">noyau</a> used by <a href="../noyau/package-summary.html">noyau</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../noyau/class-use/Carte.html#noyau">Carte</a>
<div class="block">Classe définissant l'objet carte au sein du jeu</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../noyau/class-use/Controleur.html#noyau">Controleur</a>
<div class="block">Classe pouvant se comparer à un maitre du jeu.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../noyau/class-use/Couleur.html#noyau">Couleur</a>
<div class="block">Enumération des valeurs attribuables aux cartes</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../noyau/class-use/Joueur.html#noyau">Joueur</a>
<div class="block">Classe représentant un joueur.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../noyau/class-use/Pile.html#noyau">Pile</a>
<div class="block">Classe définissant les objets de type pile, soit la pile de cartes jouées sous forme d'une linkedlist</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../noyau/class-use/Pioche.html#noyau">Pioche</a>
<div class="block">Classe définissant l'objet de type pioche, soit l'ensemble des cartes piochables sous forme d'une linkedlist</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../noyau/class-use/PoserCarteException.html#noyau">PoserCarteException</a>
<div class="block">Exception gérant la situation où la carte sélectionnée ne peut pas être jouée</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../noyau/class-use/Regle.html#noyau">Regle</a>
<div class="block">Classe abstraite contenant les methodes permettant d'appliquer à la carte jouée, les règles de la variante utiliée pour la partie en cours
 La classe est abstraite car on redéfinie les méthdes pour chaque variante</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../noyau/class-use/Strategie.html#noyau">Strategie</a>
<div class="block">Interface stratégie</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../noyau/class-use/Valeur.html#noyau">Valeur</a>
<div class="block">Enumération des différentes valeurs des cartes</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../noyau/class-use/Variante1.html#noyau">Variante1</a>
<div class="block">Classe définissant les diffents effets des cartes selon les règles de la variante1</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../noyau/class-use/Variante11.html#noyau">Variante11</a>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../noyau/class-use/variante2.html#noyau">variante2</a>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../index.html?noyau/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
